%global srcname enzyme

Name:           python-%{srcname}
Version:        0.4.1
Release:        2%{?dist}
Summary:        Python module to parse video metadata
License:        ASL 2.0
URL:            https://github.com/Diaoul/enzyme
Source:         https://github.com/Diaoul/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python3-devel
# Tests disabled
#BuildRequires:  PyYAML
#BuildRequires:  python3-PyYAML
#BuildRequires:  python2-requests
#BuildRequires:  python3-requests

%global _description\
Enzyme is a Python module to parse video metadata.

%description %_description

%package -n python2-%{srcname}
Summary:        %summary
%{?python_provide:%python_provide python2-%{srcname}}
Suggests:       %{name}-doc

%description -n python2-%{srcname} %_description

%package -n python3-%{srcname}
Summary:        %summary
%{?python_provide:%python_provide python3-%{srcname}}
Suggests:       %{name}-doc

%description -n python3-%{srcname} %_description

%package doc
Summary:        %summary

%description doc %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
# Tests disabled because they try to download files
#%{__python2} setup.py test
#%{__python3} setup.py test

%files -n python2-%{srcname}
%license  LICENSE
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py*.egg-info

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py*.egg-info

%files doc
%doc README.rst docs/index.rst docs/api
%license LICENSE

%changelog
* Fri Sep 01 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.4.1-2
- Modify Source URL

* Tue Aug 29 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.4.1-1
- Initial RPM release
